#pragma once

#include "GuiWidget.h"
#include "client/Client.h"

namespace blitz {

namespace gui {
class LeaderBoardGui : public GuiWidget {
  private:
	void Draw(const char* title, bool* p_open);
	utils::DelayTimer<float> m_Timer{5.0f};

  public:
	LeaderBoardGui(GuiWidget* parent, Client* client);
	~LeaderBoardGui();

	virtual void Render() override;
};

}  // namespace gui
}  // namespace blitz